package com.ssj.service.conch.parents.dto;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * @author chchen
 */
public class FeedbackSubjectDto implements Serializable {
    private static final long serialVersionUID = 1L;

    private String courseName;

    private List<String> primaryContents;

    private List<String> explainContents;

    private List<String> errorHowList;

    private List<String> errorImgList;

    public FeedbackSubjectDto () {
        this.primaryContents = new ArrayList<>();
        this.explainContents = new ArrayList<>();
        this.errorHowList = new ArrayList<>();
        this.errorImgList = new ArrayList<>();
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public List<String> getPrimaryContents() {
        return primaryContents;
    }

    public void setPrimaryContents(List<String> primaryContents) {
        this.primaryContents = primaryContents;
    }

    public void addPrimaryContent (String primary) {
        this.primaryContents.add(primary);
    }

    public List<String> getExplainContents() {
        return explainContents;
    }

    public void setExplainContents(List<String> explainContents) {
        this.explainContents = explainContents;
    }

    public void addExplainContents (String explain) {
        this.explainContents.add(explain);
    }

    public List<String> getErrorHowList() {
        return errorHowList;
    }

    public void setErrorHowList(List<String> errorHowList) {
        this.errorHowList = errorHowList;
    }

    public void addErrorHow (String how) {
        this.errorHowList.add(how);
    }

    public List<String> getErrorImgList() {
        return errorImgList;
    }

    public void setErrorImgList(List<String> errorImgList) {
        this.errorImgList = errorImgList;
    }

    public void addErrorImg (String img) {
        this.errorImgList.add(img);
    }

}
